Subject: Re: bug#22692: 25.0.91; xref-find-definitions fails to prompt

From: Dmitry Gutov <[email-masked]>
Date: Sat, 20 Feb 2016 03:28:44 +0200

On 02/19/2016 10:24 PM, Eli Zaretskii wrote:
>> Cc: [email-masked], [email-masked]
>> From: Dmitry Gutov <[email-masked]>
>> Date: Fri, 19 Feb 2016 20:52:28 +0200
>>
>> On 02/19/2016 08:37 PM, Eli Zaretskii wrote:
>>
>>> No, I meant the change you wanted to make in finding the symbol at
>>> point, to avoid looking for it anywhere on the same line.
>>
>> Isn't that orthogonal to the question of using the word "valid"?
>
> Maybe.  I don't tend thinking of documentation as a collection of
> words.  When you change how the symbol is determined, I could reason
> about describing that.  I agree that the chances of having "valid"
> there are rather small.

Collection of behaviors, then. We're thinking of two axes. The one 
touched on in this subthread is "valid" (i.e. whether the symbol must be 
tested against the completion table before it can be used as the default 
value; apparently we've settled on "no").

The other is whether we look for the symbol "at" point, or are we also 
allowed to look "near" point (within the current line), if there's no 
symbol at point. So far we've got two votes for "no" as well.